QGIS 2.12 does not correctly display PostGIS 2.2 geography layer crossing the antimeridian

2016-02-18 06:45 AM - James Mitchell

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.12.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22317

Description

This appears to be a QGIS, not PostGIS issue.

When imported from a .kml using ogr2ogr with a geography spatial type and SRID 4326, polygons that cross the anti-merdian are

correctly represented using the Postgress 9.5 app and PostGIS 2.2 on a Mac running OS X El Capitan.  I tested this by running a query in

PostGIS that finds the intersection of a layer with points at each lat lon and the polygon coverage I imported .  I viewed the points selected

by the intersection in QGIS and they did not overlay correctly with the polygon layer.

I exported the points to KML and compared them to the polygon kml.  In Google Earth, the intersected points correctly overlay the

polygon layer.

A comparison of the polygon kml in Google Earth and the polygon layer in QGIS showed that for segments that cross the anti-meridian,

QGIS draws them across the entire screen rather than splitting them at -180/180.

QGIS does this for polylines as well.

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4
Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
